body,
h1 {
  margin: 0;
  font-family: "K2D", sans-serif;
}

/* raleway-regular - latin */
@font-face {
  font-family: "K2D";
  font-style: normal;
  font-weight: 600;
  src: url("/mentimax-website/fonts/K2D-Regular.otf") format("opentype");
  ;
  /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
  font-family: "K2D-light";
  font-style: normal;
  font-weight: 400;
  src: url("/mentimax-website/fonts/K2D-Light.otf") format("opentype");
  ;
  /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

body,
html {
  height: 100%;
  background-color: #e5e5e5;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 100vh;
  font-family: "K2D", sans-serif;
}

#vc-input-btn {
  color:black;
  background-color: #59d4f3;
  border-radius: 4px;
  border: none;
  margin-top:10px;
  box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
  max-width: 350px;
   height:45px;
}

#vc-input-btn:disabled {
  background-color: #ccc;
  color: #666;
 
}

#voice-input-div {
  margin-top:30px;
  display:flex;
  flex-direction:column;
  justify-content: center;
}

.container {
  display: flex;
  flex-wrap: wrap;
}

.section {
  flex: 1 1 50%;
  /* Flex-grow, flex-shrink, flex-basis */
  padding: 20px;
  box-sizing: border-box;
}

/* For larger screens */
.section1 {
  min-width: 50%;
  max-width: 50%
}

.section2 {
  min-width: 50%;
  max-width: 50%;
  padding:0;
  padding-top:20px;
  padding-bottom:20px;
  padding-right:20px;
}

#flat-chat {
  min-width:50%;
  max-width:50%;
  flex-basis:50%
}


.marker-text {
  margin-left: 20px;
  border-left: solid 4px #59d4f3;
  padding-left: 20px
}

.info-block {
  background-color: white;
  opacity: 0.95;
  font-family: "K2D-light", sans-serif;
  font-size: 18px;
  color: black;
  padding: 20px;
  margin-top: 40px;
}

.gallery-box {

  opacity: 0.9;
  background-color: white;
  font-family: "K2D-light", sans-serif;
  font-size: 18px;
  color: black;
  padding: 20px;
  padding-top: 10px;
  margin-top: 60px;
}

.gallery-image {
  max-width: 32%;
  max-height: 150px;
  min-height: 150px;
  border-radius: 6px
}

/* Responsive behavior */
@media screen and (max-width: 768px) {
  .section {
    flex: 1 1 100%;
    /* Each section takes full width */
  }
}


.impressum-link {
  color: #225b91;
  text-decoration: none;
 
}



.impressum-box {
  border-radius: 0 0 8px 8px;
  margin-top:30px;
  padding-top:20px;
  border-top: solid 1px #ecc813;
  display:flex;
  justify-content: space-between;
  flex-grow: 1;
  flex-direction: row;
}

.centered {
  text-align: center;
}

.responsive-img {
  max-width: 100%;
  height: auto;
}

#loginModal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  font-family: "K2D";
  font-weight:800;
  background-color: rgba(255, 255, 255, 0.95);
}

.submit-button {
  background-color: #59d4f3;
  border: 0px solid white;
  color: black;
  padding: 10px;
  text-align: left;
  font-weight:bold;
  box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
}

.robot-icon-header {
  align:left;
  width:30px;
  position:relative;
  top:-4px;
  margin-right:10px;
}

#loginModalBody {
  background-color: white;
  margin: 15% auto;
  width: 300px;
  border-radius: 8px;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

#loginModalHeader {
  color: white;
  padding: 12px;
  padding-left: 22px;
  font-size: 18px;
  font-weight: bold;
  border-radius: 8px 8px 0px 0px;
  background-color: darkblue;
}

#loginForm label {
  color: #999;
}

#loginModalContent {
  padding: 20px;
  padding-bottom: 10px; 
}

.cookie-banner {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: #333;
  color: white;
  padding: 15px;
  display: none;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  z-index: 1000;
}

.cookie-banner p {
  margin: 0;
  padding: 0 10px 0 0;
  flex-grow: 1;
  font-size: 14px;
}

.cookie-banner button {
  background-color: #4CAF50;
  color: white;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  font-size: 14px;
  border-radius: 5px;
}

.cookie-banner button:hover {
  background-color: #45a049;
}

@media (max-width: 600px) {
  .cookie-banner {
      flex-direction: column;
      align-items: flex-start;
  }

  .cookie-banner p {
      margin-bottom: 10px;
  }

  .cookie-banner button {
      width: 100%;
      text-align: center;
  }
}